# If the "igraph" package is NOT already installed:
install.packages("igraph",dependencies=T); require("igraph")

# If the "igraph" package is already installed:
require("igraph")


## TUTORIAL 4: plotting haplotype networks with the networkGraph function

source(file="SPADS_R_functions/networkGraph.r") # to load the networkGraph function

color_code = "Chederae_network/Chederae_colours.csv"
scaleFactor1 = 3; scaleFactor2 = 3

network_out = "Chederae_network/Chederae_locus1.out"
populations = "Chederae_network/Chederae_locus1.csv"
pdf("Chederae_network/Chederae_locus1.pdf")
networkGraph(network_out, populations, color_code, scaleFactor1, scaleFactor2)
dev.off()

network_out = "Chederae_network/Chederae_locus2.out"
populations = "Chederae_network/Chederae_locus2.csv"
pdf("Chederae_network/Chederae_locus2.pdf")
networkGraph(network_out, populations, color_code, scaleFactor1, scaleFactor2)
dev.off()

network_out = "Chederae_network/Chederae_locus3.out"
populations = "Chederae_network/Chederae_locus3.csv"
pdf("Chederae_network/Chederae_locus3.pdf")
networkGraph(network_out, populations, color_code, scaleFactor1, scaleFactor2)
dev.off()
